﻿/*  Copyright 2012 PerceiveIT Limited
 *  This file is part of the Scryber library.
 *
 *  You can redistribute Scryber and/or modify 
 *  it under the terms of the GNU Lesser General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 * 
 *  Scryber is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Lesser General Public License for more details.
 * 
 *  You should have received a copy of the GNU Lesser General Public License
 *  along with Scryber source code in the COPYING.txt file.  If not, see <http://www.gnu.org/licenses/>.
 * 
 */

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Scryber
{
    public abstract class PDFContextBase
    {

        private PDFItemCollection _items;
        private PDFTraceLog _log;
        private ConformanceMode _conformance;

        public ConformanceMode Conformance
        {
            get { return _conformance; }
            set { _conformance = value; }
        }

        public PDFTraceLog TraceLog
        {
            get { return _log; }
        }

        public PDFItemCollection Items
        {
            get { return this._items; }
        }


        #region public OutputCompression Compression {get;set;}

        private OutputCompression _compress = OutputCompression.Compress;

        /// <summary>
        /// Gets or sets the use of compression in the content streams
        /// </summary>
        public OutputCompression Compression
        {
            get { return _compress; }
            set { _compress = value; }
        }

        #endregion

        public PDFContextBase(PDFItemCollection items, PDFTraceLog log)
        {
            this._log = log;
            if (null == log)
                _log = new Logging.DoNothingTraceLog();

            this._items = items;
        }

    }
}
