﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Reflection;

namespace Scryber
{
    /// <summary>
    /// Provides the basis for retrieving the current framework version (Based on the assembly file version)
    /// </summary>
    public class PDFFramework
    {

        private static Version _pdfversion = GetFrameworkVersion();

        public static Version CurrentVersion
        {
            get { return _pdfversion; }
        }

        private static Version GetFrameworkVersion()
        {
            Type me = typeof(PDFFramework);
            Assembly assm = me.Assembly;
            object[] all = assm.GetCustomAttributes(typeof(AssemblyFileVersionAttribute), false);
            if (all != null && all.Length > 0)
            {
                AssemblyFileVersionAttribute vers = (AssemblyFileVersionAttribute)all[0];
                string s = vers.Version;
                if (!string.IsNullOrEmpty(s))
                {
                    return new Version(s);
                }
            }

            return new Version(0, 8, 0);
        }
    }
}
