﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Scryber.Components
{
    /// <summary>
    /// Implements a textual label as a block, rather than inline
    /// </summary>
    [PDFParsableComponent("Para")]
    public class PDFParagraph : PDFPanel
    {
        /// <summary>
        /// Default collection of contents
        /// </summary>
        [PDFElement()]
        [PDFArray(typeof(PDFVisualComponent))]
        public override PDFVisualComponentList Contents
        {
            get
            {
                return base.Contents;
            }
        }

        public PDFParagraph()
            : this(PDFObjectTypes.Paragraph)
        {
        }

        protected PDFParagraph(PDFObjectType type)
            : base(type)
        {
        }

        /// <summary>
        /// overrides base implementation to return a position mode of block
        /// </summary>
        /// <returns></returns>
        protected override Styles.PDFStyle GetBaseStyle()
        {
            Styles.PDFStyle b = base.GetBaseStyle();
            b.Position.PositionMode = Drawing.PositionMode.Block;
            b.Position.FullWidth = true;
            return b;
        }

    }
}
