﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Scryber.Styles;

namespace Scryber.Components
{
    [PDFParsableComponent("Span")]
    public class PDFSpan : PDFPanel
    {

        [PDFElement()]
        [PDFArray(typeof(PDFVisualComponent))]
        public override PDFVisualComponentList Contents
        {
            get
            {
                return base.Contents;
            }
        }

        public PDFSpan()
            : base(PDFObjectTypes.Span)
        {
        }

        

        protected override PDFStyle GetBaseStyle()
        {
            Styles.PDFStyle inline = base.GetBaseStyle();
            inline.Position.PositionMode = Drawing.PositionMode.Inline;
            return inline;
        }

    }

    [PDFParsableComponent("B")]
    public class PDFBoldSpan : PDFSpan
    {

        public PDFBoldSpan()
            : base()
        {
        }


        protected override PDFStyle GetBaseStyle()
        {
            Styles.PDFStyle bold = base.GetBaseStyle();
            bold.Font.FontBold = true;
            return bold;
        }

    }

    [PDFParsableComponent("I")]
    public class PDFItalicSpan : PDFSpan
    {

        public PDFItalicSpan()
            : base()
        {
        }

        protected override PDFStyle GetBaseStyle()
        {
            Styles.PDFStyle bold = base.GetBaseStyle();
            bold.Font.FontItalic = true;
            return bold;
        }
    }

}
