﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Scryber.Components;

namespace Scryber.Web
{
    /// <summary>
    /// Handles the requests for Scryber pdf documents
    /// </summary>
    public class ScryberPDFHandlerFactory : System.Web.IHttpHandlerFactory
    {
        /// <summary>
        /// Inner class that implemements the IHttpHander
        /// </summary>
        private class ScryberPDFHandler : System.Web.IHttpHandler
        {
            public bool IsReusable
            {
                get { return false; }
            }

            public void ProcessRequest(System.Web.HttpContext context)
            {
                string path = context.Request.PhysicalPath;
                if (!System.IO.File.Exists(path))
                {
                    context.Response.StatusCode = 404;
                    context.Response.End();
                }
                using (PDFDocument doc = PDFDocument.ParseDocument(path))
                {
                    doc.ProcessDocument(context.Response);
                }
            }
        }

        public System.Web.IHttpHandler GetHandler(System.Web.HttpContext context, string requestType, string url, string pathTranslated)
        {
            return new ScryberPDFHandler();
        }

        public void ReleaseHandler(System.Web.IHttpHandler handler)
        {
            //Do nothing
        }
    }
}
