﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Configuration;

namespace Scryber.Configuration
{
    public class ImagingConfigurationSection : ConfigurationSection
    {
        private const string FactoriesKey = "";

        [ConfigurationProperty(FactoriesKey,IsDefaultCollection=true)]
        [ConfigurationCollection(typeof(ImageDataFactory),AddItemName="imageFactory",ClearItemsName="clear",RemoveItemName="remove")]
        public ImageDataFactoryCollection Factories
        {
            get { return this[FactoriesKey] as ImageDataFactoryCollection; }
            set { this[FactoriesKey] = value; }
        }


        public IPDFImageDataFactory GetRegisterdFactory(string path)
        {
            IPDFImageDataFactory found = null;
            ImageDataFactoryCollection facts = this.Factories;
            if (null != facts && facts.Count > 0)
            {
                foreach (ImageDataFactory fact in facts)
                {
                    if (fact.IsMatch(path, out found))
                        break;
                    
                }
            }
            return found;
        }
    }
}
