﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Scryber.Drawing;

namespace Scryber
{

    /// <summary>
    /// ImageDataFactory's load and provide image data based on a specific path. 
    /// They are registered in the configuration file in the Imaging element of the scryber group
    /// </summary>
    public interface IPDFImageDataFactory
    {
        /// <summary>
        /// Load the image data from a specific source and return it.
        /// </summary>
        /// <param name="path">The specified path to the source</param>
        /// <returns>The loaded image data</returns>
        PDFImageData LoadImageData(string path);
    }


}
