﻿/*  Copyright 2012 PerceiveIT Limited
 *  This file is part of the Scryber library.
 *
 *  You can redistribute Scryber and/or modify 
 *  it under the terms of the GNU Lesser General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 * 
 *  Scryber is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Lesser General Public License for more details.
 * 
 *  You should have received a copy of the GNU Lesser General Public License
 *  along with Scryber source code in the COPYING.txt file.  If not, see <http://www.gnu.org/licenses/>.
 * 
 */

using System;

namespace Scryber
{
    public static class StyleKeys
    {

        public const string BackgroundItem = "Background";
        public const string ColorAttr = "color";
        public const string ImgSrcAttr = "img-src";
        public const string RepeatAttr = "repeat";
        public const string PositonXAttr = "x";
        public const string PositionYAttr = "y";
        public const string BorderItem = "Border";
        public const string StyleAttr = "style";
        public const string DashAttr = "dash";
        public const string FontItem = "Font";
        public const string FontFamilyAttr = "family";
        public const string FontFileAttr = "file";
        public const string FontBoldAttr = "bold";
        public const string FontItalicAttr = "italic";
        public const string FontUnderlineAttr = "underline";
        public const string FontSizeAttr = "size";
        public const string MarginsItem = "Margins";
        public const string XAttr = "x";
        public const string YAttr = "y";
        public const string TopAttr = "top";
        public const string LeftAttr = "left";
        public const string WidthAttr = "width";
        public const string HeightAttr = "height";
        public const string BottomAttr = "bottom";
        public const string RightAttr = "right";
        public const string PositionItem = "Position";
        public const string TextItem = "Text";
        public const string WrappingAttr = "wrap";
        public const string WhitespaceAttr = "whitespace-significant";
        public const string ForegroundItem = "Foreground";
        public const string StrokeItem = "Stroke";
        public const string LineEndingAttr = "ending";
        public const string LineJoinAttr = "join";
        public const string LineMitreAttr = "mitre";
        public const string CornerRadiusAttr = "corner-radius";
        public const string SidesAttr = "sides";
        public const string PaperItem = "Paper";
        public const string PaperSizeAttr = "paper-size";
        public const string PaperOrientationAttr = "paper-orientation";
        public const string FontLeadingAttr = "leading";
        public const string VerticalAlignAttr = "v-align";
        public const string HorizontalAlignAttr = "h-align";
        public const string FirstInsetAttr = "first-indent";
        public const string WordSpacingAttr = "word-spacing";
        public const string TextFormatAttr = "text-format";
        public const string NumberFormatAttr = "number-format";
        public const string DateFormatAttr = "date-format";
        public const string OverflowActionAttr = "action";
        public const string OverflowSplitAttr = "split";
        public const string OverflowItem = "Overflow";
        public const string ClipItem = "Clip";
        public const string TransformItem = "Transform";
        public const string ScaleXAttr = "scale-x";
        public const string ScaleYAttr = "scale-y";
        public const string RotateAttr = "rotate";
        public const string SkewXAttr = "skew-x";
        public const string SkewYAttr = "skew-y";
        public const string OffsetHAttr = "offset-x";
        public const string OffsetVAttr = "offset-y";
        public const string PositionModeAttr = "mode";
        public const string OutlineOpen = "open";
        public const string PaddingItem = "Padding";
        public const string FillItem = "Fill";
        public const string AllAttr = "all";
        public const string FillStyleAttr = "style";
        public const string LayoutModeAttr = "layout";
        public const string PageNumberStyleAttr = "number-style";
        public const string PageNumberPrefix = "number-prefix";
        public const string PageNumberStart = "number-start-index";
        public const string IsOutlineAttr = "is-outlined";
        public const string RepeatPatternXPosition = "x-pos";
        public const string RepeatPatternYPosition = "y-pos";
        public const string RepeatPatternXStep = "x-step";
        public const string RepeatPatternYStep = "y-step";
        public const string RepeatPatternWidth = "image-width";
        public const string RepeatPatternHeight = "image-height";
        public const string ExpandWidthAttr = "full-width";
        public const string ColumnCountAttr = "column-count";
        public const string AlleyWidthAttr = "alley-width";
        public const string AutoFlow = "auto-flow";
        public const string ShowAttr = "show";
        public const string SpacingAttr = "spacing";
        public const string ColourAttr = "color";
        public const string OpacityAttr = "opacity";
        public const string XOffsetAttr = "x-offset";
        public const string YOffsetAttr = "y-offset";
        public const string HighlightColumns = "fill-columns";
        public const string CornerAttr = "corner";
        public const string DisplayOptionAttr = "display";
        public const string CellColumnSpan = "col-span";
        
    }
}